
import java.util.*;
import javax.swing.JMenu;// $Id: RETestPlugin.java,v 1.3 2006/07/08 00:24:11 sjakob Exp $
/*
 *  RETestPlugin.java - Plugin for testing regular expressions
 *  Copyright (C) 2000 Steve Jakob
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
import javax.swing.JMenuItem;
import org.gjt.sp.jedit.*;
import org.gjt.sp.jedit.gui.OptionsDialog;

public class RETestPlugin extends EditPlugin
{
	private static RETestControl reControl = null;

	/**
	 * Initializes the RETestAction and registers it with jEdit.
	 */
	public void start()
	{
		// Nothing needs to be done here
	}

	/**
	 * Not used.
	 */
	public void stop()
	{
	}

	/**
	 * Create the "RETest" menu item.
	 *
	 * @param menuItems  Used to add menu items
	 */
	public void createMenuItems(Vector menuItems)
	{
		menuItems.addElement(GUIUtilities.loadMenuItem("RETest.display-dialog"));
	}

	/**
	 * Called when the user selects the "RE Tester" from the "Plugins" menu. Create
	 * the RE test controller, if necessary, and display the test dialog.
	 *
	 * @param jeditView  The jEdit view from which the menu selection was made.
	 */
	public static void displayDialog(View jeditView)
	{
		// If the RE test controller is not yet created, then create it
		if (reControl == null)
		{
			reControl = new RETestControl();
			reControl.setJeditView(jeditView);
		}
		reControl.displayView();// Display the test dialog
	}

	/*
	 *  public void createOptionPanes(OptionsDialog optionsDialog) {
	 *  optionsDialog.addOptionPane(new TemplatesOptionPane(myAction));
	 *  }
	 */
}

